Bug 55604 - LDAP password authentications sends NULL
LDAP password authentications sends NULL
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
http://yolinux.com/TUTORIALS/LinuxTut...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-02 14:55 EST by Need Real Name
Modified: 2014-03-16 22:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-02 14:55:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-02 14:55:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i586)

Description of problem:
See web page above for a better description.
Problem diagnosed with ethereal packet sniffer.
When attempting to access an LDAP server which requires User ID/Password,
Netscape propts for these values but attempts to bind with NULL for both
values.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Confihgure OpenLDAP server. See:
http://yolinux.com/TUTORIALS/LinuxTutorialLDAP.html#EXAMPLE
2. Add security requiring login. See:
http://yolinux.com/TUTORIALS/LinuxTutorialLDAP-BindPW.html
3.Attempt to bind to LDAP server. See:
http://yolinux.com/TUTORIALS/LinuxTutorialLDAP-BindPW.html#NETSCAPE
	

Actual Results:  Fails to bind to LDAP server.

Expected Results:  Expect to bind to LDAP server with UserID/password.

Additional info:

Problem is with Netscape 4.77 which binds using NULL (anonymous). User ID
and PAssword are not sent. I verified with Ethereal packet sniffer.
Comment 1 Bill Nottingham 2001-11-02 15:04:54 EST
Please report this to netscape at:

http://help.netscape.com/forms/bug-client.html

We don't have the source code for netscape; we can't fix it.
Comment 2 Pirozzi Giuseppe 2005-12-17 00:33:15 EST
(In reply to comment #1)
> Please report this to netscape at:
> http://help.netscape.com/forms/bug-client.html
> We don't have the source code for netscape; we can't fix it.

Hi Bill,
is there a workaround for this bug ?
did you resolve ?

Thanks

Comment 3 Bill Nottingham 2005-12-17 01:44:17 EST
Please reread comment #1 - there is nothing RH can do. Note that there really is
no reason to be using the netscape browser these days.

Note You need to log in before you can comment on or make changes to this bug.